Skip to main content

Get Link (Single Asset)

GET 

/api/v1/assets/:asset_id/get_link

Get a content link for a single asset. The returned URL can be used to display or download the asset's original file or any of its conversions. This is the recommended way to download an asset's file in server code, instead of the throttled Download endpoint. See Downloading Assets Programmatically.

note

A link for an image conversion is not a way to restrict who can see an image: image URLs, including on-demand image (ODI) URLs, can't be signed. To restrict an image, use a non-public custom conversion and request it with an API key or JWT. Signed display links are supported for video transcodes only.

Example response:

https://cdn.filespin.io/api/v1/files/content/c5651f8783f64d09985f0dd38359d846?key=thumbnail&expiry=1486556379&delivery=display&accessId=IZJTAMBQ...&signature=ScdZeFTEs41edg...

Request​

Responses​

Successful operation — returns the content link URL